SDL_ShowAndroidToast(3)

NAME
SDL_ShowAndroidToast - Shows an Android toast notification.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_ShowAndroidToast(const char *message, int duration, int gravity, int xoffset, int yoffset);

DESCRIPTION
Toasts are a sort of lightweight notification that are unique to Android.

https://developer.android.com/guide/topics/ui/notifiers/toasts

Shows toast in UI thread.

For the gravity parameter, choose a value from here, or -1 if you don't have a preference:

https://developer.android.com/reference/android/view/Gravity

FUNCTION PARAMETERS

message
    text message to be shown.

duration
    0=short, 1=long.

gravity
    where the notification should appear on the screen.

xoffset
    set this parameter only when gravity >=0.

yoffset
    set this parameter only when gravity >=0.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.